ServerEvents.recipes(event => {
    event.recipes.botanypots.crop(
        "minecraft:torchflower_seeds",
        ["dirt"],
        {block:"minecraft:torchflower"},
        [
            Item.of("minecraft:torchflower")
                .withChance(1)
                .withRolls(1),

            Item.of("minecraft:torchflower_seeds")
                .withChance(0.01)
                .withRolls(1),
        ],
        2400,
        1
    )
    event.remove({id:'botanypots:minecraft/crop/torchflower'})
})